Bug 510698 - Review Request: klavaro - Typing tutor
Review Request: klavaro - Typing tutor
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
: 511146 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-10 06:26 EDT by Fabian Affolter
Modified: 2009-07-29 17:36 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.2.1-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-29 17:30:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-07-10 06:26:28 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/klavaro.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/klavaro-1.2.1-1.fc11.src.rpm

Project URL: http://klavaro.sourceforge.net/

Description:
Klavaro  is a touch typing tutor that is very flexible and supports 
customizable keyboard layouts. Users can edit and save new or unknown
keyboard layouts, as the basic course provided by the program was
designed to not depend on specific layouts.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1465292

rpmlint output:
[fab@laptop09 SRPMS]$ rpmlint klavaro-1.2.1-1.fc11.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop09 i586]$ rpmlint -i klavaro*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Parag AN(पराग) 2009-07-10 06:42:52 EDT
will pick this for review on Monday.
Comment 2 Fabian Affolter 2009-07-13 17:57:21 EDT
http://sourceforge.net/tracker/?func=detail&aid=2819484&group_id=135657&atid=733522 was closed about permissions of /usr/bin/klavaro_helper.

It seems that for now it's needed that setgid-binary is set to write to /var/games/klavaro for the scores.
Comment 3 Fabian Affolter 2009-07-13 18:03:47 EDT
Here are the updated files

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/klavaro.spec
SRPM URL:
http://fab.fedorapeople.org/packages/SRPMS/klavaro-1.2.1-2.fc11.src.rpm
Comment 4 Parag AN(पराग) 2009-07-14 05:59:49 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1472652
- rpmlint is NOT silent for RPM.
klavaro.i586: E: setgid-binary /usr/bin/klavaro_helper root 02755
The file is setgid. Usually this is a packaging bug. If this is a game, then,
you should use the proper rpm group, or location.

klavaro.i586: E: non-standard-executable-perm /usr/bin/klavaro_helper 02755
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

+ source files match upstream url
b69ab99f94525902ca8d1f12fb46c041ad9cb5ba  klavaro-1.2.1.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ translations are available
+ Does owns the directories it creates.
+ gtk-update-icon-cache scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Desktop file installed correctly.
+ GUI application

Should:
1) Correct license tag to GPLv3+

APPROVED.
Comment 5 Fabian Affolter 2009-07-14 07:36:28 EDT
Thanks for the review, Parag.  I will fix the license before the cvs import.
Comment 6 Fabian Affolter 2009-07-14 07:37:25 EDT
New Package CVS Request
=======================
Package Name: klavaro
Short Description: Typing tutor
Owners: fab
Branches: F-10 F-11
InitialCC:
Comment 7 Mathieu Bridon 2009-07-14 11:36:11 EDT
*** Bug 511146 has been marked as a duplicate of this bug. ***
Comment 8 Jason Tibbitts 2009-07-14 22:34:15 EDT
CVS done.
Comment 9 Fedora Update System 2009-07-15 15:58:00 EDT
klavaro-1.2.1-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/klavaro-1.2.1-3.fc10
Comment 10 Fedora Update System 2009-07-15 15:58:05 EDT
klavaro-1.2.1-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/klavaro-1.2.1-3.fc11
Comment 11 Fedora Update System 2009-07-19 06:07:47 EDT
klavaro-1.2.1-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update klavaro'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7702
Comment 12 Fedora Update System 2009-07-19 06:09:46 EDT
klavaro-1.2.1-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update klavaro'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7711
Comment 13 Fedora Update System 2009-07-29 17:29:56 EDT
klavaro-1.2.1-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-07-29 17:36:32 EDT
klavaro-1.2.1-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.